QGIS Application - Bug report #10907
Mac OSX: unable to save on a network samba volume
2014-07-17 08:11 AM - Francesco Vidotto

Status: Closed

Priority: Normal

Assignee:

Category: Network

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19270
Description

This issue is similar to what reported in #9358

When trying to save on a network volume hosted in a WinXP machine, the following error occurs (e.g. file "Project1.qgs" to be saved on a
network volume named "NetworkVolumeName")

"/Volumes/NetworkVolumeName/Project1.qgs is not writable. Please adjust permissions (if possible) and try again.”

The file "Project1.qgs" is actually created, but it is totally empty.

| have tried to modify the permissions in the destination volume, allowing everything to "Everyone"

Has anyone encountered a similar problem?

QGIS version 2.4.0-Chugiak (but | first noticed the problem already with the versions 2.2.0)
OSX version 10.9.4 (Mavericks)

Thanks

History

#1 - 2014-09-08 05:05 AM - Francesco Vidotto
| have tried to modified in all possible ways the file permissions in the Win machine, but the problem still persists. Does anyone has experienced a this

issue?
Thanks

#2 - 2014-10-30 10:01 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2014-10-30 11:59 AM - Giovanni Manghi

- Priority changed from High to Normal

- Crashes QGIS or corrupts data changed from Yes to No

#4 - 2014-11-07 12:29 PM - Tom Kurkowski

I have this same issue, working in OSX 10.9.4 and saving to a samba mounted network drive on a linux server. | am able to successfully save data files,

but not Qgis project files.
#5 - 2014-11-08 06:55 AM - Francesco Vidotto

Two days ago we moved all our data previously hosted in a PC into a shared folder of a QNAP NAS (model 420), with smb, nfs and afp capabilities. The
problem persists if | mount the share working in OSX 10.9.5 using smb. If the same shared folder is mounted using afp | am able to save everything
without problems.

| have previously noticed that | was able to save projects o a shared folder hosted on an Apple Time Machine (which shares folder using afp).

Seems that, if the host runs OSX,something is not handled properly in a samba environment.

This is just a workaround, but | suggest to use afp when possible.

In addition: same problem observed also with qgis 2.8. The suggested solution works also in this case.

#6 - 2014-11-08 08:23 AM - Giovanni Manghi

- Subject changed from Mac OSX: unable to save on a network volume (hosted in a Win PC) to Mac OSX: unable to save on a network samba volume

#7 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No
#8 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

2025-05-18 22


http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

